Findings
Get Finding
Fetches detailed information about a specific finding based on its ID.
Authorization
http AuthorizationBasic <token>
Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Path Parameters
finding_id*integer
The unique identifier of the finding to retrieve
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.ethiack.com/v1/findings/0/"{
"findings": [
{
"id": 0,
"title": "string",
"md": null,
"html": null,
"asset_id": null,
"asset_value": "string",
"status": 0,
"previous_status": null,
"requested_score": null,
"event_id": null,
"severity": "none",
"priority": 0,
"score": null,
"cve": null,
"cvss_vector": null,
"created": "2019-08-24T14:15:22Z"
}
]
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}Stop Event POST
Stops an ongoing event based on its slug. This operation can only be performed by authorized user types and requires the event to be in a stoppable state.
Get Retest Information GET
Retrieves the status of retest job of a specific finding. > **Info**: Retesting is used to update the status of a finding, enabling the > user to check if the finding is still valid or has been resolved.